name: unicblue/testimonials
typeName: unicblue_testimonials
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: testimonials
    type: Collection
    labelField: author_name
    minitems: 1
    maxitems: 12
    fields:
      -
        identifier: quote_text
        type: Textarea
        required: true
        rows: 4
      -
        identifier: author_name
        type: Text
        required: true
      -
        identifier: author_location
        type: Text
      -
        identifier: author_image
        type: File
        allowed: common-image-types
        minitems: 0
        maxitems: 1
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: options_palette
    type: Palette
    fields:
      -
        identifier: columns_per_row
        type: Select
        translatable: false
        renderType: selectSingle
        default: '3'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/testimonials/language/labels.xlf:options_palette.columns_per_row.items.2
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/testimonials/language/labels.xlf:options_palette.columns_per_row.items.3
            value: '3'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/testimonials/language/labels.xlf:options_palette.columns_per_row.items.4
            value: '4'
      -
        identifier: tx_hks_theme
        type: Select
        useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
